# Connecting to a Service Provider Use Equinix Fabric to establish direct, low-latency connections to a variety of service providers from your Fabric Cloud Router. > **Info** > > This topic covers connecting to service providers in general. For instructions and examples on connecting to a specific service provider, see the [Connecting to a Service Provider](https://docs.equinix.com/fabric-marketplace.md) section. Including: > > * [Alibaba Cloud](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/fabric-alibaba-cloudexpress.md) > * [AWS Direct Connect](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/aws/direct-connect-overview.md) > * [Cisco](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/fabric-connect-cisco-webex.md) > * [Colt](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/fabric-connect-colt.md) > * [Five9](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/fabric-connect-five9-redundant.md) > * [GCP](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/gcp/fabric-gcp-googleqc.md) > * [IBM Cloud](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/ibm/fabric-ibm-cloud-2_0.md) > * [Lumen](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/fabric-connect-lumen.md) > * [Microsoft Azure](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/microsoft/azure-qc.md) > * [NTT Data](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/fabric-ntt-data-connect.md) > * [Oracle Cloud](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/oracle/fabric-oracle-quick-connect.md) > * [Salesforce](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/fabric-salesforce-hyperforce.md) > * [Unitas Global](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/fabric-unitas-connect-port.md) > * [Verizon](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/verizon/fabric-connect-verizon.md) ## Prerequisites[​](#prerequisites "Direct link to Prerequisites") * An Equinix Customer Portal account, with the following [roles](https://docs.equinix.com/iam/roles-permissions/iam-roles-permission-reference.md) assigned: `Fabric Connections Manager`. * A Fabric Cloud Router. If you do not have a Fabric Cloud Router, you can [create one](https://docs.equinix.com/fabric-cloud-router/fcr-create.md). - Portal - API - Terraform 1. Sign in to the [Customer Portal](https://portal.equinix.com) and navigate to the *Fabric Dashboard*. 2. Use the *Project Selector* drop-down to select the project under which you want to create the connection. For more information on projects, see [Managing Projects](https://docs.equinix.com/iam/resources/projects-manage.md). 1) Authenticate - Submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions on how to call OAuth API to validate and authenticate your credentials. 2) Determine your Fabric Cloud Router information. Check your available cloud routers by sending a `POST` request to the [`/fabric/v4/routers/search`](https://docs.equinix.com/api-catalog/fabricv4/cloud-routers/searchcloudrouters.md) endpoint. You need the router's UUID. 3) Determine the service provider's service profile information. Use the [`/fabric/v4/serviceProfiles/search`](https://docs.equinix.com/api-catalog/fabricv4/service-profiles/searchserviceprofiles.md) endpoint to search for a specific service profile or use the [`/fabric/v4/serviceProfiles`](https://docs.equinix.com/api-catalog/fabricv4/service-profiles/listserviceprofiles.md) endpoint to list all available service profiles, and identify the profile you want to connect to. You need the service provider's profile UUID. 1. Determine your Fabric Cloud Router information. Check your available cloud routers using the [`equinix_fabric_cloud_routers`](https://docs.equinix.com/terraform/data-sources/fabric_cloud_routers.md) data source. You need the router's UUID. 2. Determine the service provider's service profile information. Use the [`equinix_fabric_service_profiles`](https://docs.equinix.com/terraform/data-sources/fabric_service_profiles.md) data source to search for a specific service profile. You need the service provider's profile UUID. ## Creating the Connection[​](#creating-the-connection "Direct link to Creating the Connection") * Portal * API * Terraform 1. From the *Connections* menu, select **Create Connection**. 2. In the *A Service Provider* card, click **Connect to a Service Provider**. ![](https://docs.equinix.com/assets/images/service-provider-card-51d938de0bcc1df9912ba766114cb979.png) 3. Search for or select the service provider you are connecting to, and click **Create Connection**. Your configuration options vary, but in general: * Choose the *Connection Type* based on what redundancy options the service providers offer and your requirements. Your options are *Single* or *Redundant* based on the service provider offerings. * Choose the *Destination* that you are connecting to. This is the Equinix Metro on-ramp location for the service provider's infrastructure. Redundant connections might offer connecting to two different destinations or might be limited to a single destination. Depending on the service provider, either: * Choose the location that is closest to your infrastructure and provides the lowest latency. * Choose the location that was pre-agreed upon by you and the service provider. * The location information is pre-defined for you, such as when the service provider has issued you a z-side service token. 4. Click **Next**. 5. From the *Origin Asset Type* drop-down list, select **Cloud Router**. 6. Click **+ Select Cloud Router**, select a cloud router instance, then click **Select Cloud Router**. ![](https://docs.equinix.com/assets/images/service-provider-select-router-0ccb31e781acc611988e1a310d86307e.png) 7. In the *Primary Connection* section: * Enter the primary connection name. * Select a bandwidth. If you are creating a redundant connection, the bandwidth value you select will also apply to the secondary connection. 8. If you are creating a redundant connection, enter your secondary connection name in the *Secondary Connection* section. ![](https://docs.equinix.com/assets/images/service-provider-connection-config-014b3ccf10d39f553303021bdc7857a4.png) 9. Click **Next**. 10. Review the information in the *Destination* and *Connection Configuration* sections. 11. Use the *Notifications* field to provide the email addresses of the recipients to be notified about the connection's status. You can add up to 12 email addresses. 12. (*Optional*) Enter or add order information in the *Purchase Order* section. 13. (*Optional*) Provide a customer reference identifier to help you identify this order on your invoice. ![](https://docs.equinix.com/assets/images/service-provider-review-97937a3bfe246ecdc45601fa2921b7ce.png) When you are ready, click **Create Connection**. To create the connection send a `POST` request to the [`/fabric/v4/connections`](https://docs.equinix.com/api-catalog/fabricv4/connections/createconnection.md) endpoint. * Specify your Fabric Cloud Router in the `aSide` : `accessPoint` object. * Specify the service provider information in the `zSide` : `accessPoint` object. Required parameters vary by service provider, see the [Connecting to a Service Provider](https://docs.equinix.com/fabric-marketplace.md) documentation for specific examples. Sample cURL Request: ``` curl -X POST 'https://api.equinix.com/fabric/v4/connections' \ -H 'content-type: application/json' \ -H 'authorization: Bearer ' \ -d '{ "type": "IP_VC", "name": "", "bandwidth": , "redundancy": { "priority": "" }, "aSide": { "accessPoint": { "type": "CLOUD_ROUTER", "router": { "uuid": "" } } }, "zSide": { "accessPoint": { "type": "SP", "profile": { "type": "L2_PROFILE", "uuid": "" } } }, "project": { "projectId": "" }, "notifications": [ { "type": "ALL", "emails": [ "", "" ] } ] }' ``` Create the connection using the [`equinix_fabric_connection`](https://docs.equinix.com/terraform/resources/fabric_connection.md) resource. * Specify your Fabric Cloud Router in the `a_side` : `access_point` object. * Specify the service provider information in the `z_side` : `access_point` object. Required parameters vary by service provider, see the [Connecting to a Service Provider](https://docs.equinix.com/fabric-marketplace.md) documentation for specific examples. ``` resource "equinix_fabric_connection" "fcr2csp" { name = "" type = "IP_VC" notifications { type = "ALL" emails = ["", ""] } bandwidth = a_side { access_point { type = "CLOUD_ROUTER" router { uuid = "" } } } z_side { access_point { type = "SP" profile { type = "L2_PROFILE" uuid = "" } location { metro_code = "" } } } } ``` ## Monitoring the Connection Status[​](#monitoring-the-connection-status "Direct link to Monitoring the Connection Status") * Portal * API * Terraform Once you have created a connection in the Customer Portal, monitor its status from your [*Connections Inventory*](https://docs.equinix.com/fabric/managing-connections/fabric-new-connections-inventory.md). ![](https://docs.equinix.com/assets/images/service-provider-connection-status-1225b6b4755e66a7dcaf04d91ea12847.png) To check the connection status, send a `GET` request to the [`/fabric/v4/connections/{connectionId}`](https://docs.equinix.com/api-catalog/fabricv4/connections/getconnectionbyuuid.md) endpoint. Fetch the connection status with the [`equinix_fabric_connections`](https://docs.equinix.com/terraform/data-sources/fabric_connections.md) data source. After the connection has been created, its *Equinix Status* is `Pending Interface Configuration` and you must configure its routing by adding either [direct routing protocol details or using BGP](https://docs.equinix.com/fabric-cloud-router/bgp/fcr-bgp.md). The requirements for finalizing the connection before it can be used vary by service provider. Some require that you authorize the connection on the service provider's platform, or that the service provider has to approve the connection. Additionally, you might have to configure peering or routing information on the service provider side. Check the [Connecting to a Service Provider](https://docs.equinix.com/fabric-marketplace.md) section for details on a specific service provider.